Bug 1175082 - file: denial of service issue (resource consumption) related to ELF notes
Summary: file: denial of service issue (resource consumption) related to ELF notes
Keywords:
Status: CLOSED DUPLICATE of bug 1180639
Alias: None
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1180646
TreeView+ depends on / blocked
 
Reported: 2014-12-17 06:09 UTC by Murray McAllister
Modified: 2019-09-29 13:25 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-30 14:58:46 UTC


Attachments (Terms of Use)

Description Murray McAllister 2014-12-17 06:09:54 UTC
A denial of service issue (resource consumption) was reported in the way file(1) processed ELF notes. Using file(1) on a specially-crafted ELF binary could lead to a denial of service.

Upstream report:

http://mx.gw.com/pipermail/file/2014/001653.html

Upstream fix:

https://github.com/file/file/commit/ce90e05774dd77d86cfc8dfa6da57b32816841c4

Reference:

http://seclists.org/oss-sec/2014/q4/1067

Comment 2 Francisco Alonso 2015-03-30 14:58:46 UTC

*** This bug has been marked as a duplicate of bug 1180639 ***


Note You need to log in before you can comment on or make changes to this bug.